Bug 1631858 - bodhi: Remove (sub)packages from Fedora 30+: python2-bodhi; make the rest Python 3 only
Summary: bodhi: Remove (sub)packages from Fedora 30+: python2-bodhi; make the rest Pyt...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1647213 1650648
Blocks: PYTHON3-UPSTREAM PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-21 17:58 UTC by Miro Hrončok
Modified: 2019-01-14 17:53 UTC (History)
8 users (show)

Fixed In Version: bodhi-3.12.0-101.fc30
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-01-14 17:53:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-21 17:58:00 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of bodhi were marked for removal:

 * bodhi-composer
 * python2-bodhi

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Randy Barlow 2018-09-24 17:29:18 UTC
I would like more time to finish converting Bodhi's server code to Python 3. I expect the upcoming Bodhi 3.11.0 release to fully support Python 3 server side, and plan to release that before Fedora 30 branches (and likely long before that, possibly even in the next month or two). Is that acceptable?

Comment 2 Miro Hrončok 2018-09-24 18:31:48 UTC
Sure it is. getting somethign run on Python 3 is always better than ditching it.

Comment 3 Randy Barlow 2018-11-16 15:52:44 UTC
This pull request switches bodhi-server to use Python 3 and drops a majority of Bodhi's Python 2 dependencies:

https://src.fedoraproject.org/rpms/bodhi/pull-request/5

It seems that I still have one Python 2 dependent package though: fedora-easy-karma. It uses python2-bodhi-client, which uses python2-bodhi, so we aren't quite ready to drop those packages and their dependencies yet (so there are still a few Python 2 dependencies in Bodhi.

Shall we keep this ticket open until f-e-k is ready, or do you want to repurpose this ticket to track bodhi-server switching to Python 2 and open a new ticket with f-e-k is switched?

Comment 4 Miro Hrončok 2018-11-16 17:30:10 UTC
> This pull request switches bodhi-server to use Python 3 and drops a majority of Bodhi's Python 2 dependencies

Thanks \o/

> Shall we keep this ticket open until f-e-k is ready

We shall keep this ticket open until f-e-k is ready.

I'll also open a f-e-k bugzilla and make this one depend on it.

Comment 5 Miro Hrončok 2019-01-14 07:50:38 UTC
I'm preparing a PR.


Note You need to log in before you can comment on or make changes to this bug.